jQuery(document).ready(function ($) {
    var mediaUploader;

    $('#pp-select-image').on('click', function (e) {
        e.preventDefault();
        if (mediaUploader) {
            mediaUploader.open();
            return;
        }
        mediaUploader = wp.media({
            title: 'Select Image',
            button: {
                text: 'Use this image'
            },
            multiple: false
        });

        mediaUploader.on('select', function () {
            var attachment = mediaUploader.state().get('selection').first().toJSON();
            $('#pp-image-url').val(attachment.url);
            $('#pp-image-preview').attr('src', attachment.url).show();
            $('#pp-remove-image').show();
        });
        mediaUploader.open();
    });

    $('#pp-remove-image').on('click', function () {
        $('#pp-image-url').val('');
        $('#pp-image-preview').hide();
        $(this).hide();
    });
});